package edu.neu.daj.internal.ui;

import org.eclipse.jface.preference.*;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.IWorkbench;
import edu.neu.daj.DajPlugin;
import org.eclipse.jface.preference.IPreferenceStore;

public class DajPreferencePage
	extends FieldEditorPreferencePage
	implements IWorkbenchPreferencePage {
	public static final String Daj_PATH = "dajPathPreference";
	public static final String AspectJ_PATH = "aspectjPathPreference";
	public static final String AspectJTools_PATH = "aspectjToolsPathPreference";
	public static final String DemeterJ_PATH = "demeterjPathPreference";
	public static final String Antlr_PATH = "antlrPathPreference";

	public DajPreferencePage() {
		super(GRID);
		setPreferenceStore(DajPlugin.getDefault().getPreferenceStore());
		setDescription("DAJ preference page");
		initializeDefaults();
	}

	private void initializeDefaults() {
		IPreferenceStore store = getPreferenceStore();
	}


	public void createFieldEditors() {
		addField(new FileFieldEditor(Daj_PATH, 
				"&DAJ Jar Path:", getFieldEditorParent()));
		addField(new FileFieldEditor(AspectJ_PATH, 
				"&AspectJ Jar Path:", getFieldEditorParent()));
		addField(new FileFieldEditor(AspectJTools_PATH, 
				"&AspectJ Tools Jar Path:", getFieldEditorParent()));
		addField(new FileFieldEditor(DemeterJ_PATH, 
				"&DemeterJ Jar Path:", getFieldEditorParent()));
		addField(new FileFieldEditor(Antlr_PATH, 
				"&Antlr Jar Path:", getFieldEditorParent()));
		
	}
	
	public void init(IWorkbench workbench) {
	}
}